colord-gtk-0.1.26

Introduction to Colord GTK

The Colord GTK package contains GTK+ bindings for Colord.

This package is known to build and work properly using an LFS-7.6 systemd platform.

Package Information

Colord GTK Dependencies

Required

Colord-1.2.7, and GTK+-3.14.6

Recommended

Optional

GTK-Doc-1.21

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/colord-gtk

Installation of Colord GTK

[Warning]

Warning

If building the documentation make -j1 must be used.

Install Colord GTK by running the following commands:

./configure --prefix=/usr \
            --enable-vala \
            --disable-static &&
make

To test the results, issue: make check.

Now, as the root user:

make install

Command Explanations

--enable-vala: This switch enables building of the Vala bindings. Remove if you don't have Vala-0.26.1 installed.

--disable-static: This switch prevents installation of static versions of the libraries.

--enable-gtk-doc: Use this parameter if GTK-Doc is installed and you wish to rebuild and install the API documentation.

Contents

Installed Programs: None
Installed Libraries: libcolord-gtk.so
Installed Directories: /usr/include/colord-1/colord-gtk and /usr/share/gtk-doc/html/colord-gtk

Short Descriptions

libcolord-gtk.so

contains the Colord GTK+ bindings.

Last updated on 2014-12-08 11:09:54 +0000